|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QPainter

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QPainter class reference

### Public Functions

- const QMatrix & matrix () const `(obsolete)`
- bool matrixEnabled () const `(obsolete)`
- void setMatrix ( const QMatrix & matrix, bool combine = false ) `(obsolete)`
- void setMatrixEnabled ( bool enable ) `(obsolete)`

## Member Function Documentation

### const QMatrix & QPainter::matrix () const

Use worldTransform() instead.

See also setMatrix() and worldTransform().

### bool QPainter::matrixEnabled () const

Use worldMatrixEnabled() instead

See also setMatrixEnabled() and worldMatrixEnabled().

### void QPainter::setMatrix ( const QMatrix & matrix, bool combine = false )

Use setWorldTransform() instead.

See also matrix() and setWorldTransform().

### void QPainter::setMatrixEnabled ( bool enable )

Use setWorldMatrixEnabled() instead.

See also matrixEnabled() and setWorldMatrixEnabled().